Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
METHOD Struct Reference

## Data Fields
VALUE | recv
VALUE | rclass
VALUE | defined_class
ID | id
rb_method_entry_t * | me
struct unlinked_method_entry_list_entry * | ume

## Detailed Description

Definition at line 17 of file proc.c.

## Field Documentation

VALUE METHOD::defined_class

Definition at line 20 of file proc.c.

Referenced by bm_mark(), method_unbind(), mnew(), and rb_method_call_with_block().

ID METHOD::id

Definition at line 21 of file proc.c.

Referenced by method_name(), method_unbind(), mnew(), and rb_method_call_with_block().

rb_method_entry_t* METHOD::me

Definition at line 22 of file proc.c.

Referenced by bm_free(), bm_mark(), method_arity(), method_clone(), method_eq(), method_get_def(), method_hash(), method_inspect(), method_min_max_arity(), method_owner(), method_unbind(), mnew(), original_method_entry(), rb_method_call_with_block(), rb_mod_define_method(), rb_mod_method_arity(), rb_mod_method_location(), and umethod_bind().

VALUE METHOD::rclass

Definition at line 19 of file proc.c.

Referenced by bm_mark(), method_eq(), method_hash(), method_inspect(), method_unbind(), mnew(), original_method_entry(), rb_mod_define_method(), and umethod_bind().

VALUE METHOD::recv

Definition at line 18 of file proc.c.

Referenced by bm_mark(), method_eq(), method_hash(), method_inspect(), method_receiver(), method_unbind(), mnew(), rb_method_call_with_block(), and umethod_bind().

struct unlinked_method_entry_list_entry* METHOD::ume

Definition at line 23 of file proc.c.

Referenced by bm_free(), method_clone(), method_unbind(), mnew(), and umethod_bind().

The documentation for this struct was generated from the following file:

- proc.c